The API allows the APP to create a refund for an existing approved Tyro transaction without the need for the card to be present.
Refunds API (1.0)
Overview
Languages
Servers
Production
https://api.tyro.com/connect
Bodyapplication/json
Identifier of the original transaction, as generated by the POS system or online system.
The sales channel where the original transaction was processed.
Enum"INSTORE""PAYMENT_LINK""ONLINE_CHECKOUT"
The timestamp of when the original transaction was processed. Must be after midnight of 28th of March 2025, Sydney time (2025-03-28T00:00:00.000+11:00). The format of the date time is the notation as defined by RFC 3339, section 5.6
Example: "2025-10-01T12:00:00.000Z"
Retrieval Reference Number (RRN) of the original transaction to be refunded.
Example: 393939393939
Reason for issuing the refund, stored for audit purposes.
Example: "Customer changed their mind"
- Productionhttps://api.tyro.com/connect/refunds/search-and-refund
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.tyro.com/connect/refunds/search-and-refund \
-H 'Authorization: Bearer {$$.env.access_token}' \
-H 'Content-Type: application/json' \
-d '{
"mid": "98765",
"transactionReference": "string",
"originChannel": "INSTORE",
"transactionDateTime": "2025-10-01T12:00:00.000Z",
"rrn": 393939393939,
"refundAmount": 765,
"refundReason": "Customer changed their mind",
"partnerReference": "122121"
}'Response
application/json
{ "refundTransactionReference": "8cda1097-0095-4000-a90f-c7375eefad3a", "refundTransactionRrn": "990021002206", "refundAmount": 765, "amountAvailableForRefund": 1000 }